package cn.com.poc.user.convert;

import cn.com.poc.user.entity.MemberInfoEntity;
import cn.com.poc.user.model.BizMemberInfoModel;

/**
 * @Author：Roger Wu
 * @name：MemberInfoConvert
 * @Date：2024-07-25 11:15
 */
public class MemberInfoConvert {
    public static BizMemberInfoModel convertEntity2Model(MemberInfoEntity memberInfoEntity) {
        if (memberInfoEntity == null) {
            return null;
        }
        BizMemberInfoModel bizMemberInfoModel = new BizMemberInfoModel();
        bizMemberInfoModel.setMemberId(memberInfoEntity.getMemberId());
        bizMemberInfoModel.setAccount(memberInfoEntity.getAccount());
        bizMemberInfoModel.setNickName(memberInfoEntity.getNickName());
        bizMemberInfoModel.setAvatarUrl(memberInfoEntity.getAvatarUrl());
        bizMemberInfoModel.setMobilePhone(memberInfoEntity.getMobilePhone());
        bizMemberInfoModel.setEmail(memberInfoEntity.getEmail());
        bizMemberInfoModel.setLastLoginTime(memberInfoEntity.getLastLoginTime());
        bizMemberInfoModel.setShareCode(memberInfoEntity.getShareCode());
        bizMemberInfoModel.setRemark(memberInfoEntity.getRemark());
        return bizMemberInfoModel;
    }

    public static MemberInfoEntity convertModel2Entity(BizMemberInfoModel bizMemberInfoModel) {
        if (bizMemberInfoModel == null) {
            return null;
        }
        MemberInfoEntity memberInfoEntity = new MemberInfoEntity();
        memberInfoEntity.setMemberId(bizMemberInfoModel.getMemberId());
        memberInfoEntity.setAccount(bizMemberInfoModel.getAccount());
        memberInfoEntity.setNickName(bizMemberInfoModel.getNickName());
        memberInfoEntity.setAvatarUrl(bizMemberInfoModel.getAvatarUrl());
        memberInfoEntity.setMobilePhone(bizMemberInfoModel.getMobilePhone());
        memberInfoEntity.setEmail(bizMemberInfoModel.getEmail());
        memberInfoEntity.setLastLoginTime(bizMemberInfoModel.getLastLoginTime());
        memberInfoEntity.setRemark(bizMemberInfoModel.getRemark());
        memberInfoEntity.setShareCode(bizMemberInfoModel.getShareCode());
        return memberInfoEntity;
    }

}
